Package org.eclipse.emf.cdo.transfer.spi.ui

# Interface TransferUIProvider

public interface TransferUIProvider
Abstracts the `transfer system`-specific aspects that are needed by a generic transfer user interface.

Abstracted functionalities include:

- `Providing labels` for `transfer elements`, see `createLabelProvider()`.
- Creating transfers for `drag operations`, see `addSupportedTransfers()`, `convertSelection()`.
- Creating transfers for `drop operations`, see `addSupportedTransfers()`, `convertTransferData()`, `convertTransferTarget()`.

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`TransferUIProvider.Factory`
Creates `TransferUIProvider` instances.

## Method Summary

Modifier and Type
Method
Description
`void`
`addSupportedTransfers(List<Transfer> transfers)`
`Object`
`convertSelection(IStructuredSelection selection)`
`List<CDOTransferElement>`
`convertTransferData(Object data)`
`CDOTransferElement`
`convertTransferTarget(Object target)`
`ILabelProvider`
`createLabelProvider(CDOTransferSystem system)`

## Method Details

### createLabelProvider

ILabelProvider createLabelProvider(CDOTransferSystem system)

### addSupportedTransfers

void addSupportedTransfers(List<Transfer> transfers)

### convertTransferData

List<CDOTransferElement> convertTransferData(Object data)

### convertTransferTarget

CDOTransferElement convertTransferTarget(Object target)

### convertSelection

Object convertSelection(IStructuredSelection selection)